#
# spec file for package xsky (Version 2.0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xsky
Copyright:    1992-93 Terry R. Friedrichsen
Group:        X11/Applications
Provides:     xsky 
Autoreqprov:  on
Version:      2.0.1
Release:      404
Summary:      A Star Atlas
Source: xsky-2.0.1.tar.bz2
Patch: xsky-2.0.1.dif

%description
xsky is a computerized star atlas running under the X11
window system. It allows interactive viewing of the sky
and construction of star charts.

Authors:
--------
    Terry R. Friedrichsen <terry@venus.sunquest.com>

SuSE series: xap

%prep
%setup
%patch

%build
cd src
xmkmf -a 
make 

%install
cd src
make install
make install.man 
install -d m 755 /usr/X11R6/lib/X11/xsky
install -m 655 catalogs.doc     /usr/X11R6/lib/X11/xsky/
install -m 655 qso.dat          /usr/X11R6/lib/X11/xsky/
install -m 655 rngc.dat         /usr/X11R6/lib/X11/xsky/
install -m 655 rngc_desc.tab    /usr/X11R6/lib/X11/xsky/
install -m 655 starnames.dat    /usr/X11R6/lib/X11/xsky/
install -m 655 ybs.dat          /usr/X11R6/lib/X11/xsky/
install -d m 755 /usr/X11R6/bin
install -m 755 xsky.sh          /usr/X11R6/bin/
install -d m 755 /usr/X11R6/lib/X11/app-defaults/
install -m 444 XSky /usr/X11R6/lib/X11/app-defaults/XSky
cd ..
install -m 655 dbl.dat          /usr/X11R6/lib/X11/xsky/
install -m 655 sao.dat          /usr/X11R6/lib/X11/xsky/
install -m 655 var.dat          /usr/X11R6/lib/X11/xsky/

%files
%docdir    /usr/X11R6/man
%docdir    /usr/openwin/man
%dir /usr/X11R6/lib/X11/app-defaults
%dir /usr/X11R6/lib/X11/xsky
/usr/X11R6/bin/xsky
/usr/X11R6/bin/xsky.sh
%config /usr/X11R6/lib/X11/app-defaults/XSky
%doc /usr/X11R6/man/man1/xsky.1x.gz
/usr/X11R6/lib/X11/xsky/catalogs.doc
/usr/X11R6/lib/X11/xsky/dbl.dat
/usr/X11R6/lib/X11/xsky/qso.dat
/usr/X11R6/lib/X11/xsky/rngc.dat
/usr/X11R6/lib/X11/xsky/rngc_desc.tab
/usr/X11R6/lib/X11/xsky/sao.dat
/usr/X11R6/lib/X11/xsky/starnames.dat
/usr/X11R6/lib/X11/xsky/var.dat
/usr/X11R6/lib/X11/xsky/ybs.dat

%changelog -n xsky
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Mon Oct 30 2000 - ms@suse.de
- fixed group tag
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Oct 13 1997 - ms@suse.de
- moved library files from /usr/local/lib/ to /usr/X11R6/lib/X11/<package>.
- set path variables in sky.c to correct library path.
